

-- Pure signal outputs from the microcode
    signal alu_mode                     : alu_mode_type ;
    signal alu_source_a                 : alu_source_a_type ;
    signal alu_source_b                 : alu_source_b_type ;
    signal alu_reverse_operands         : std_logic ;
    signal operation_size_control       : operation_size_control_type ;

    signal mar_source                   : mar_source_type ;
    signal mdr_source                   : mdr_source_type ;
    signal ir_source                    : ir_source_type ;
    signal operand_value_source         : operand_value_source_type ;
    signal immediate_data_source        : immediate_data_source_type ;
    signal pc_source                    : pc_source_type ;
    signal operand_address_source       : operand_address_source_type ;
    signal pgi_source                   : pgi_source_type ;

    signal register_file_source_x       : register_file_source_x_type ;
    signal register_file_source_y       : register_file_source_y_type ;
    signal reg_update_data_x            : std_logic ;
    signal reg_update_address_x         : std_logic ;
    signal reg_update_override_size     : std_logic ;

    signal ea_move_destination_control_set      
                                        : std_logic ;
    signal ea_move_destination_control_clear        
                                        : std_logic ;

    signal restore_pc_after_immediate_fetch_set
                                        : std_logic ;
    signal restore_pc_after_immediate_fetch_clear
                                        : std_logic ;



